package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我的意愿学校记录对象 mall_member_expect
 *
 * @author ruoyi
 * @date 2023-11-03
 */
public class MallMemberExpect extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 意愿记录表id */
    @Excel(name = "意愿记录表id")
    private Long expectId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long id;

    /** 用户名  */
    private String name;

    /** 学校 */
    private String schoolName;

    /** 批次 */
    private String batchName;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private Integer delFlag;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public void setExpectId(Long expectId)
    {
        this.expectId = expectId;
    }

    public Long getExpectId()
    {
        return expectId;
    }
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("expectId", getExpectId())
            .append("id", getId())
            .append("batchId", getBatchId())
            .append("schoolId", getSchoolId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
